%define	major	0
%define	libname	%mklibname %{name} %{major}
%define develname %mklibname %{name} -d

# build options
%define	enable_dante	0
%{?_with_dante: %define enable_dante 1}

Summary:	Commandline ftp client
Name:		lftp
Version:	4.4.14
Release:	%mkrel 1
URL:		http://lftp.yar.ru/
Group:		Networking/File transfer
License:	GPLv2+
Source0:	http://lftp.yar.ru/ftp/%{name}-%{version}.tar.xz
Source1:	http://lftp.yar.ru/ftp/%{name}-%{version}.tar.xz.asc
Patch0:		lftp-2.2.0-lftpgetmanpage.patch
Patch1:		lftp-3.7.7-distro-defaults.patch
Patch2:		lftp-4.4.8-link.patch
Patch3:		lftp-4.4.0-glibc.patch
Patch4:		lftp-4.4.0-automake.patch
BuildRequires:	ncurses-devel
BuildRequires:	gnutls-devel
BuildRequires:	readline-devel
BuildRequires:	expat-devel
%if %enable_dante
BuildRequires:	dante-devel
%endif
Requires:	less
Requires:	%{libname} = %{version}

%description
LFTP is a shell-like command line ftp client. The main two advantages
over other ftp clients are reliability and ability to perform tasks
in background. It will reconnect and reget the file being transferred
if the connection broke. You can start a transfer in background and
continue browsing on the ftp site.  It does this all in one process.
When you have started background jobs and feel you are done, you can
just exit lftp and it automatically moves to nohup mode and completes
the transfers. It has also such nice features as reput and mirror.

%if %enable_dante
Build option:
--with dante	Enable dante support
%endif

%package -n %{libname}
Summary:	Dynamic libraries from %{name}
Group:		System/Libraries

%description -n	%{libname}
Dynamic libraries from %{name}.

%package -n %{develname}
Summary:	Header files and static libraries from %{name}
Group:		Development/C
Requires:	%{libname} >= %{version}-%{release}
Provides:	lib%{name}-devel = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release} 
Obsoletes:	%mklibname -d lftp 0

%description -n	%{develname}
Libraries and includes files for developing programs based on %{name}.

%prep
%setup -q
%patch0 -p1 -b .manpage
%patch1 -p1 -b .agent
%patch2 -p1 -b .link
%patch3 -p1 -b .glibc
%patch4 -p1 -b .automake

# fix encoding
iconv -f ISO-8859-1 -t UTF-8 NEWS -o NEWS.utf8
touch -r NEWS NEWS.utf8
mv -f NEWS.utf8 NEWS

%build
autoreconf -fi
%configure2_5x \
	--with-modules=yes \
	--with-pager="exec less" \
%if %enable_dante
	--with-socksdante=yes \
%endif

%make

%install
%makeinstall_std

%find_lang %{name}

# don't ship .la
find %{buildroot} -name '*.la' | xargs rm -f

%files -f %{name}.lang
%doc COPYING FAQ MIRRORS NEWS
%doc README.* THANKS TODO lftp.lsm BUGS
%config(noreplace) %{_sysconfdir}/lftp.conf
%{_bindir}/*
%{_mandir}/man?/*
%{_datadir}/%{name}/

%files -n %{libname}
%{_libdir}/*.so.%{major}*
%dir %{_libdir}/lftp
%dir %{_libdir}/lftp/%{version}
%{_libdir}/lftp/%{version}/*.so

%files -n %{develname}
%{_libdir}/*.so


%changelog
* Fri Dec 13 2013 luigiwalser <luigiwalser> 4.4.14-1.mga4
+ Revision: 556587
- 4.4.14

* Tue Dec 10 2013 zezinho <zezinho> 4.4.13-1.mga4
+ Revision: 556213
- new version 4.4.13

* Tue Nov 12 2013 luigiwalser <luigiwalser> 4.4.11-1.mga4
+ Revision: 550829
- 4.4.11

* Tue Oct 22 2013 umeabot <umeabot> 4.4.10-2.mga4
+ Revision: 541367
- Mageia 4 Mass Rebuild

* Sat Oct 12 2013 luigiwalser <luigiwalser> 4.4.10-1.mga4
+ Revision: 495766
- 4.4.10

* Sat Aug 24 2013 fwang <fwang> 4.4.9-1.mga4
+ Revision: 470894
- new version 4.4.9

* Wed May 29 2013 luigiwalser <luigiwalser> 4.4.8-1.mga4
+ Revision: 432697
- rediff patch2
- 4.4.8

* Sat May 25 2013 luigiwalser <luigiwalser> 4.4.7-1.mga4
+ Revision: 426918
- 4.4.7

* Fri May 24 2013 luigiwalser <luigiwalser> 4.4.6-1.mga4
+ Revision: 426678
- 4.4.6

* Fri Feb 08 2013 luigiwalser <luigiwalser> 4.4.3-1.mga3
+ Revision: 395246
- 4.4.3

* Fri Feb 01 2013 luigiwalser <luigiwalser> 4.4.1-2.mga3
+ Revision: 393926
- add patch from upstream git to fix plus sign handling in URLs

* Wed Jan 30 2013 luigiwalser <luigiwalser> 4.4.1-1.mga3
+ Revision: 393578
- 4.4.1

* Sat Jan 12 2013 umeabot <umeabot> 4.4.0-3.mga3
+ Revision: 356762
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Jan 01 2013 pterjan <pterjan> 4.4.0-2.mga3
+ Revision: 337188
- Fix build with new automake

  + fwang <fwang>
    - add specific requires on lib package

* Fri Sep 28 2012 fwang <fwang> 4.4.0-1.mga3
+ Revision: 298846
- use gentoo patch
- reconf
- fix build with latest glibc
- new version 4.4.0

* Wed Jul 04 2012 fwang <fwang> 4.3.8-1.mga3
+ Revision: 267696
- new version 4.3.8

* Wed May 30 2012 zezinho <zezinho> 4.3.7-1.mga3
+ Revision: 251460
- new version

* Wed Jan 25 2012 fwang <fwang> 4.3.5-1.mga2
+ Revision: 201219
- new version 4.3.5

  + dmorgan <dmorgan>
    - Fix package ownage
    - Remove require on lib

* Tue Jan 03 2012 zezinho <zezinho> 4.3.4-1.mga2
+ Revision: 189884
- new version

* Mon Oct 31 2011 zezinho <zezinho> 4.3.3-1.mga2
+ Revision: 160212
- new version
- new version

* Sat Sep 17 2011 fwang <fwang> 4.3.2-1.mga2
+ Revision: 144367
- new version 4.3.2
- rebuild for new gnutls

* Mon Jul 04 2011 ahmad <ahmad> 4.3.1-2.mga2
+ Revision: 117885
- Tighten the main package requires on libname

* Sun Jul 03 2011 ahmad <ahmad> 4.3.1-1.mga2
+ Revision: 117683
- Update to 4.3.1
- Fix NEWS file encoding
- Don't ship .la

* Sun May 15 2011 pterjan <pterjan> 4.2.2-2.mga1
+ Revision: 98945
- Rebuild for fixed find-requires

* Wed Apr 13 2011 tv <tv> 4.2.2-1.mga1
+ Revision: 84570
- new release
- rediff link patch

* Tue Jan 18 2011 blino <blino> 4.1.3-2.mga1
+ Revision: 23580
- rename patch for default distro settings
- remove old ldconfig scriptlets
- imported package lftp


* Tue Jan 18 2011 Funda Wang <fwang@mandriva.org> 4.1.3-1mdv2011.0
+ Revision: 631522
- update to new version 4.1.3

* Sat Jan 01 2011 Funda Wang <fwang@mandriva.org> 4.1.2-1mdv2011.0
+ Revision: 626954
- update to new version 4.1.2

* Thu Nov 25 2010 Funda Wang <fwang@mandriva.org> 4.1.1-1mdv2011.0
+ Revision: 600918
- update to new version 4.1.1

* Tue Nov 23 2010 Funda Wang <fwang@mandriva.org> 4.1.0-1mdv2011.0
+ Revision: 599883
- new version 4.1.0

* Wed Oct 06 2010 Funda Wang <fwang@mandriva.org> 4.0.10-1mdv2011.0
+ Revision: 583865
- New version 4.0.10

* Sun Jul 11 2010 Funda Wang <fwang@mandriva.org> 4.0.9-1mdv2011.0
+ Revision: 550548
- new version 4.0.9

* Thu Apr 29 2010 Funda Wang <fwang@mandriva.org> 4.0.7-1mdv2010.1
+ Revision: 540870
- update to new version 4.0.7

* Thu Mar 25 2010 Funda Wang <fwang@mandriva.org> 4.0.6-1mdv2010.1
+ Revision: 527486
- update to new version 4.0.6

* Thu Dec 24 2009 Frederik Himpe <fhimpe@mandriva.org> 4.0.5-1mdv2010.1
+ Revision: 482109
- update to new version 4.0.5

* Thu Nov 19 2009 Funda Wang <fwang@mandriva.org> 4.0.4-1mdv2010.1
+ Revision: 467445
- new version 4.0.4

* Wed Jul 22 2009 Frederik Himpe <fhimpe@mandriva.org> 3.7.15-1mdv2010.0
+ Revision: 398493
- update to new version 3.7.15

* Sun Jun 07 2009 Funda Wang <fwang@mandriva.org> 3.7.14-2mdv2010.0
+ Revision: 383437
- add gnutls version

* Sun Jun 07 2009 Funda Wang <fwang@mandriva.org> 3.7.14-1mdv2010.0
+ Revision: 383428
- New version 3.7.14

* Sat May 30 2009 Funda Wang <fwang@mandriva.org> 3.7.13-2mdv2010.0
+ Revision: 381502
- use pkg-config to check gnutls

* Fri May 01 2009 Funda Wang <fwang@mandriva.org> 3.7.13-1mdv2010.0
+ Revision: 369901
- New version  3.7.13

* Wed Mar 04 2009 Frederik Himpe <fhimpe@mandriva.org> 3.7.9-1mdv2009.1
+ Revision: 348504
- update to new version 3.7.9

* Wed Feb 25 2009 Thierry Vignaud <tv@mandriva.org> 3.7.8-2mdv2009.1
+ Revision: 344794
- rebuild for new libreadline

* Fri Jan 23 2009 Frederik Himpe <fhimpe@mandriva.org> 3.7.8-1mdv2009.1
+ Revision: 333120
- update to new version 3.7.8

* Mon Jan 12 2009 Funda Wang <fwang@mandriva.org> 3.7.7-1mdv2009.1
+ Revision: 328647
- external readline is required
- New version 3.7.7

* Wed Nov 19 2008 Funda Wang <fwang@mandriva.org> 3.7.6-1mdv2009.1
+ Revision: 304373
- patch 3 merged upstream
- New version 3.7.6

* Wed Nov 12 2008 Funda Wang <fwang@mandriva.org> 3.7.5-1mdv2009.1
+ Revision: 302491
- add missing headers
- New version 3.7.5

* Thu Aug 07 2008 Funda Wang <fwang@mandriva.org> 3.7.4-1mdv2009.0
+ Revision: 265853
- New versino 3.7.4
- rediff underlink patch

* Wed Aug 06 2008 Thierry Vignaud <tv@mandriva.org> 3.7.3-3mdv2009.0
+ Revision: 264771
- rebuild early 2009.0 package (before pixel changes)

  + Pixel <pixel@mandriva.com>
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

* Mon Jun 02 2008 Pixel <pixel@mandriva.com> 3.7.3-2mdv2009.0
+ Revision: 214212
- fix libtool usage for DSO modules, instead of using _disable_ld_no_undefined

* Sun Jun 01 2008 Funda Wang <fwang@mandriva.org> 3.7.3-1mdv2009.0
+ Revision: 213924
- New version 3.7.3

* Tue May 13 2008 Funda Wang <fwang@mandriva.org> 3.7.2-1mdv2009.0
+ Revision: 206540
- New version 3.7.2

* Mon Apr 14 2008 Thierry Vignaud <tv@mandriva.org> 3.7.0-1mdv2009.0
+ Revision: 192899
- new release

* Tue Jan 29 2008 Funda Wang <fwang@mandriva.org> 3.6.3-1mdv2008.1
+ Revision: 159600
- New version 3.6.3

* Tue Jan 15 2008 Oden Eriksson <oeriksson@mandriva.com> 3.6.1-3mdv2008.1
+ Revision: 152321
- own the "%%{_libdir}/lftp/%%{version}" directory

* Sun Jan 13 2008 Funda Wang <fwang@mandriva.org> 3.6.1-2mdv2008.1
+ Revision: 150859
- rebuild against latest gnutls

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Wed Nov 14 2007 Funda Wang <fwang@mandriva.org> 3.6.1-1mdv2008.1
+ Revision: 108711
- New version 3.6.1

* Sun Oct 21 2007 Funda Wang <fwang@mandriva.org> 3.6.0-1mdv2008.1
+ Revision: 100970
- New version 3.6.0

* Tue Sep 04 2007 Funda Wang <fwang@mandriva.org> 3.5.14-1mdv2008.0
+ Revision: 78930
- New version 3.5.14

* Fri Aug 31 2007 Funda Wang <fwang@mandriva.org> 3.5.13-1mdv2008.0
+ Revision: 76379
- New versino 3.5.13

* Sat Aug 11 2007 Funda Wang <fwang@mandriva.org> 3.5.12-1mdv2008.0
+ Revision: 61987
- New version 3.5.12

* Tue Jun 19 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 3.5.11-3mdv2008.0
+ Revision: 41619
- new devel library policy

* Tue Jun 19 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 3.5.11-2mdv2008.0
+ Revision: 41597
- rebuild for expat
- make use of %%major
- spec file clean

* Fri Apr 20 2007 Thierry Vignaud <tv@mandriva.org> 3.5.11-1mdv2008.0
+ Revision: 16113
- new release


* Thu Mar 01 2007 Thierry Vignaud <tvignaud@mandriva.com> 3.5.9-2mdv2007.0
+ Revision: 130797
- no need to package big ChangeLog when NEWS is already there

* Thu Feb 08 2007 Thierry Vignaud <tvignaud@mandriva.com> 3.5.9-1mdv2007.1
+ Revision: 118080
- add missing file

  + Emmanuel Andry <eandry@mandriva.org>
    - New version 3.5.9

* Fri Nov 24 2006 Thierry Vignaud <tvignaud@mandriva.com> 3.5.6-1mdv2007.1
+ Revision: 86839
- Import lftp

* Fri Nov 24 2006 Thierry Vignaud <tvignaud@mandrakesoft.com> 3.5.6-1mdv2007.1
- new release

* Tue Sep 19 2006 Gwenole Beauchesne <gbeauchesne@mandriva.com> 3.5.1-2mdv2007.0
- Rebuild

* Sun Jul 23 2006 Emmanuel Andry <eandry@mandriva.org> 3.5.1-1mdv2007.0
- New release 3.5.1

* Fri Jun 30 2006 Per Øyvind Karlsen <pkarlsen@mandriva.com> 3.4.7-1mdv2007.0
- New release 3.4.7
- fix macro-in-%%changelog

* Sat Apr 29 2006 Thierry Vignaud <tvignaud@mandriva.com> 3.4.6-1mdk
- new release

* Sun Apr 16 2006 Jerome Martin <jmartin@mandriva.org> 3.4.4-1mdk
- 3.4.4

* Fri Dec 23 2005 Per Øyvind Karlsen <pkarlsen@mandriva.com> 3.3.5-1mdk
- 3.3.5
- drop P4, rather use configure option for choosing pager

* Fri Oct 28 2005 Daouda LO <daouda@mandriva.com> 3.3.3-1mdk
- New release 3.3.3 (Read NEWS file for Changelog details)

* Sun Oct 02 2005 Abel Cheung <deaddog@mandriva.org> 3.3.0-1mdk
- New release 3.3.0
- Drop patch10 (upstream)

* Sat Aug 13 2005 Abel Cheung <deaddog@mandriva.org> 3.2.1-2mdk
- Patch10(upstream): Fix lftp cutting command file buffer with -f option
- Fix Build requirement

* Fri Jun 03 2005 Abel Cheung <deaddog@mandriva.org> 3.2.1-1mdk
- New release
- Drop so-called plf support (forget the broken socks library)
- Switch from openssl to gnutls (usual license problem...)

* Thu Mar 24 2005 Abel Cheung <deaddog@mandriva.org> 3.1.3-1mdk
- New release 3.1.3
- Enable modules

* Thu Jan 20 2005 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 3.0.13-2mdk
- rebuild for new readline

* Wed Dec 22 2004 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 3.0.13-1mdk
- 3.0.13

* Thu Dec 09 2004 Daouda LO <daouda@mandrakesoft.com> 3.0.12-1mdk
- new release 3.0.12
  o ftp over http proxies with CONNECT method can now use proxy 
    authorization.
  o fixed delay between connection attempts (broken in 3.0.10).
  (see NEWS for the whole changelog)

* Tue Nov 09 2004 Daouda LO <daouda@mandrakesoft.com> 3.0.11-1mdk
- new release

* Sat Aug 14 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 3.0.7-1mdk
- new release

* Tue Jun 22 2004 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 3.0.6-1mdk
- 3.0.6

* Wed Jun 02 2004 Abel Cheung <deaddog@deaddog.org> 3.0.5-1mdk
- New version

* Wed May 26 2004 Abel Cheung <deaddog@deaddog.org> 3.0.4-1mdk
- New version
- undef libtoolize

* Tue May 25 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 3.0.3-2mdk
- patch 1: do not break ls -otr

* Wed Apr 28 2004 Abel Cheung <deaddog@deaddog.org> 3.0.3-1mdk
- New version
- Drop patch5 (upstream)
- Merge patch2 into revamped patch1
- Convert spec to UTF-8

* Tue Apr 20 2004 Abel Cheung <deaddog@deaddog.org> 3.0.2-2mdk
- Plug memory leak with sftp + mirror (CVS)

* Fri Apr 16 2004 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 3.0.2-1mdk
- 3.0.2

* Fri Apr 09 2004 Abel Cheung <deaddog@deaddog.org> 3.0.1-1mdk
- New release
- Drop patch5 (upstream)

* Sat Apr 03 2004 Abel Cheung <deaddog@deaddog.org> 3.0.0-1mdk
- New major release

